Subject: Deloitte Agreement
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 25 Sep 2001 11:08:56 -0700 (PDT)

Michael -

I have attached below a revised version of the Channel Marketing Agreement with Deloitte.  This document is the most current form of agreement that needs to be used for these deals and also reflects my comments.  These comments are based upon the comments submitted by Deloitte.  I have incorporated those that we discussed and made some additional comments.  You will note that in the "Fee Payment" section, I have included the present value concept that you requested.  I have not, however, defined this concept, but would assert that it should be defined in the agreement.  Accordingly, please let me know how you want to define it.

As I indicated above, this is a bit of a different form than the one you submitted to Deloitte for review.  So that we can ensure that accurate documents are distributed, please allow us to prepare the drafts for distribution to potential channel marketing partners.  Like the preparation of NDA's, this will enable the Legal Dept. to keep track of the agreement and ensure the right version is used.

Please let me know if you should need anything further.

Mark